Loading...
Searching...
No Matches
casacore::IComplex Class Reference
casa package (libcasa_casa) » BasicSL_module

More...

`#include <IComplex.h>`

## Public Member Functions

| IComplex ()
| From one or two ints (note for gnu use).
| IComplex (Int r)
| IComplex (Int r, Int i)
Int | real () const
| For use in FITS classes only.
Int | imag () const

## Private Attributes

Int | re
Int | im

## Detailed Description

Integer complex numbers.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

The class IComplex is only a container for FITS usage.

Definition at line 47 of file IComplex.h.

## Constructor & Destructor Documentation

## IComplex() [1/3]

casacore::IComplex::IComplex | ( |  | ) |

inline

From one or two ints (note for gnu use).

Definition at line 52 of file IComplex.h.

References im, and re.

## IComplex() [2/3]

casacore::IComplex::IComplex | ( | Int | r | ) |

inline

Definition at line 53 of file IComplex.h.

References im, and re.

## IComplex() [3/3]

casacore::IComplex::IComplex | ( | Int | r,
|  | Int | i )

inline

Definition at line 54 of file IComplex.h.

References im, and re.

## Member Function Documentation

## imag()

Int casacore::IComplex::imag | ( |  | ) | const

inline

Definition at line 61 of file IComplex.h.

References im.

## real()

Int casacore::IComplex::real | ( |  | ) | const

inline

For use in FITS classes only.

Definition at line 60 of file IComplex.h.

References re.

## Member Data Documentation

## im

Int casacore::IComplex::im

private

Definition at line 66 of file IComplex.h.

Referenced by IComplex(), IComplex(), IComplex(), and imag().

## re

Int casacore::IComplex::re

private

Definition at line 65 of file IComplex.h.

Referenced by IComplex(), IComplex(), IComplex(), and real().

The documentation for this class was generated from the following file:

- casa/BasicSL/IComplex.h